Subject: Re: bug#9582: Annoying point movement

From: Leo <[email-masked]>
Date: Sat, 08 Oct 2011 21:08:03 +0800

On 2011-09-27 05:09 +0800, Lars Magne Ingebrigtsen wrote:
[snipped 5 lines]
> I do use topic mode.  I can't reproduce the bug.
>
> Can you explain, step by step, what you're doing, and what happens?

My group buffer has topic mode enabled.

In the group buffer, I hit `C-u a' (which runs gnus-group-post-news) to
post a news, after which the message buffer pops up.

I inspect the value message-kill-actions in the message buffer and see:

((progn
   (setq gnus-current-window-configuration 'reply-yank)
   (when
       (gnus-buffer-exists-p "*Group*")
     (set-window-configuration #<window-configuration>)))
 (nndraft-update-unread-articles))

but then I decide I have no news to post and so hit C-c C-k
(message-kill-buffer).

The current buffer returns to the group buffer as dictated by
message-kill-actions but then the point is moved to the first group in
the group buffer.

BTW, message-kill-actions is added by gnus-setup-message.

Hope this helps.
Leo